> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/api/shopping-lists/move-items-between-shopping-lists.md).

# Move Items between Shopping Lists

## Move Shopping List Items

<mark style="color:green;">`POST`</mark> `https://api.whisk.com/list/v2/{from_list_id}/move_items`

You can use a body parameter to move shopping list items:

#### Path Parameters

| Name           | Type   | Description                          |
| -------------- | ------ | ------------------------------------ |
| from\_list\_id | string | The source shopping list identifier. |

#### Headers

| Name           | Type   | Description                                                                                                                                      |
| -------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authentication | string | Server Token or a User Access token containing `shopping_list:write` scope to authorize the API usage. For more information, see Authentication. |

#### Request Body

| Name | Type   | Description                                                                                                                     |
| ---- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| body | object | The body object contains the attributes to specify the items and the targeted shopping list. See the Body Object Example below. |

```graphql
{
{
  "from_list_content": {
    "items": [
      {
        "id": "string",
        "item": {
          "name": "string",
          "brand": "string",
          "comment": "string",
          "quantity": 0,
          "unit": "string"
        },
        "checked": true,
        "image_url": "string",
        "analysis": {
          "product": {
            "canonical_name": "string",
            "original_name": "string"
          },
          "category": {
            "canonical_name": "string"
          },
          "brand": {
            "canonical_name": "string"
          }
        },
        "recipe": {
          "recipe_id": "string",
          "position": 0
        },
        "combined": {
          "combined_item_id": "string",
          "quantity": 0
        },
        "created_time": "string",
        "updated_at": "string",
        "matching_properties": {
          "gtin": "string",
          "custom_product_id": "string"
        }
      }
    ],
    "combined_items": [
      {
        "id": "string",
        "item": {
          "name": "string",
          "brand": "string",
          "comment": "string",
          "quantity": 0,
          "unit": "string"
        },
        "checked": true,
        "image_url": "string",
        "analysis": {
          "product": {
            "canonical_name": "string",
            "original_name": "string"
          },
          "category": {
            "canonical_name": "string"
          },
          "brand": {
            "canonical_name": "string"
          }
        },
        "created_time": "string",
        "updated_at": "string"
      }
    ],
    "recipes": [
      {
        "id": "string",
        "name": "string",
        "images": [
          {
            "responsive": {
              "url": "string",
              "width": 0,
              "height": 0,
              "selection": {
                "x": 0,
                "y": 0,
                "width": 0,
                "height": 0
              }
            },
            "url": "string"
          }
        ],
        "source": {
          "name": "string",
          "display_name": "string",
          "source_recipe_url": "string",
          "image": {
            "responsive": {
              "url": "string",
              "width": 0,
              "height": 0,
              "selection": {
                "x": 0,
                "y": 0,
                "width": 0,
                "height": 0
              }
            },
            "url": "string"
          },
          "license": "LICENCE_INVALID"
        }
      }
    ]
  },
  "target_list_content": {
    "items": [
      {
        "id": "string",
        "item": {
          "name": "string",
          "brand": "string",
          "comment": "string",
          "quantity": 0,
          "unit": "string"
        },
        "checked": true,
        "image_url": "string",
        "analysis": {
          "product": {
            "canonical_name": "string",
            "original_name": "string"
          },
          "category": {
            "canonical_name": "string"
          },
          "brand": {
            "canonical_name": "string"
          }
        },
        "recipe": {
          "recipe_id": "string",
          "position": 0
        },
        "combined": {
          "combined_item_id": "string",
          "quantity": 0
        },
        "created_time": "string",
        "updated_at": "string",
        "matching_properties": {
          "gtin": "string",
          "custom_product_id": "string"
        }
      }
    ],
    "combined_items": [
      {
        "id": "string",
        "item": {
          "name": "string",
          "brand": "string",
          "comment": "string",
          "quantity": 0,
          "unit": "string"
        },
        "checked": true,
        "image_url": "string",
        "analysis": {
          "product": {
            "canonical_name": "string",
            "original_name": "string"
          },
          "category": {
            "canonical_name": "string"
          },
          "brand": {
            "canonical_name": "string"
          }
        },
        "created_time": "string",
        "updated_at": "string"
      }
    ],
    "recipes": [
      {
        "id": "string",
        "name": "string",
        "images": [
          {
            "responsive": {
              "url": "string",
              "width": 0,
              "height": 0,
              "selection": {
                "x": 0,
                "y": 0,
                "width": 0,
                "height": 0
              }
            },
            "url": "string"
          }
        ],
        "source": {
          "name": "string",
          "display_name": "string",
          "source_recipe_url": "string",
          "image": {
            "responsive": {
              "url": "string",
              "width": 0,
              "height": 0,
              "selection": {
                "x": 0,
                "y": 0,
                "width": 0,
                "height": 0
              }
            },
            "url": "string"
          },
          "license": "LICENCE_INVALID"
        }
      }
    ]
  }
}
```

```yaml
{
  "error_code": "REAL_CODES_ARE_IN_ENDPOINT_DESCRIPTION",
  "message": "Additional details about error are not static and can be changed"
}
```

{% tab title="401 This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound , auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```yaml
{
  "code": "auth.tokenNotFound"
}
```

```yaml
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

### Request Body Object Example

```graphql
{
  "target_list_id": "106c5fa85ddbba343099347c57e54632500",
  "item_ids": [
    "263cbd78-68d6-45cf-970e-aca8489a9c92", "39522ce5-6dc4-4062-b2c7-c34c1689ab11"
  ]
}
```

| Attribute        | Type   | Description                                                          |
| ---------------- | ------ | -------------------------------------------------------------------- |
| `target_list_id` | string | The target shopping list identifier where the items are to be moved. |
| `item_ids`       | array  | A list of identifiers indicating the items to be moved.              |

### Sample Request and Response

{% tabs %}
{% tab title="Curl Request" %}

```bash
curl -X POST "https://api.whisk.com/list/v2/106e1fa4cbb7c844458be372c3e0f7bfa94/move_items"
    -H "Accept: application/json"
    -H "Authorization: Bearer <YOUR-API-ACCESS-KEY>"
    -d "{ \"target_list_id\": \"106c5fa85ddbba343099347c57e54632500\", \"item_ids\": [ \"263cbd78-68d6-45cf-970e-aca8489a9c92\", \"39522ce5-6dc4-4062-b2c7-c34c1689ab11\" ]}"
```

{% hint style="info" %}
Whisk allows you to discover and understand its API capabilities on the Swagger interface with the ability to try out the API calls directly in your browser. You can call this endpoint [here](https://api.whisk.com/spec/#/ShoppingListAPI/ShoppingListAPI_MoveItems).
{% endhint %}
{% endtab %}

{% tab title="Response" %}

```graphql
{
  "from_list_content": {
    "items": [
      {
        "id": "0c8ec3af-93eb-4dd1-8cc6-53c593e636c3",
        "item": {
          "name": "sun-dried tomato halves packed in oil",
          "comment": "drained and chopped",
          "quantity": 12
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1578558901/custom_upload/f3649d560aa7cf2690a52f21bf1f97ba.jpg",
        "analysis": {
          "product": {
            "canonical_name": "SUNDRIED TOMATOES IN OIL"
          },
          "category": {
            "canonical_name": "CONDIMENTS"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 5
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "5be87605-2e3f-44ed-8c9e-99368a9ba0a9",
        "item": {
          "name": "black olives",
          "comment": "pitted, halved",
          "quantity": 10
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1579874536/custom_upload/40f8e00ec40343b789671622088da72f.jpg",
        "analysis": {
          "product": {
            "canonical_name": "PITTED BLACK OLIVES"
          },
          "category": {
            "canonical_name": "CONDIMENTS"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 7
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "61729ae5-88f1-4ce6-b718-d1aee87f8012",
        "item": {
          "name": "egg",
          "comment": "beaten",
          "quantity": 1
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550765018/graph/fooddb/fa43dd85a5a5b36d90db62044e58e857.jpg",
        "analysis": {
          "product": {
            "canonical_name": "EGG"
          },
          "category": {
            "canonical_name": "DAIRY AND EGGS"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 10
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "62883186-4584-4f68-b97d-f15a9a5ecfdb",
        "item": {
          "name": "pizza base mix",
          "quantity": 290,
          "unit": "g"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550763188/graph/fooddb/f9fbc23db97a0b2cbd8e99dff7f851f1.jpg",
        "analysis": {
          "product": {
            "canonical_name": "PIZZA CRUST MIX"
          },
          "category": {
            "canonical_name": "BAKING"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 8
        },
        "created_time": "1608555736",
        "updated_at": "1614088388",
        "matching_properties": {}
      },
      {
        "id": "6beba882-6c99-4e72-9144-99963d0645fa",
        "item": {
          "name": "garlic cloves",
          "comment": "crushed",
          "quantity": 2
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764463/graph/fooddb/fb90ea8fbd3e81005fc22ada2c8ddd1f.jpg",
        "analysis": {
          "product": {
            "canonical_name": "GARLIC CLOVE"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 3
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "8243a969-0236-4c63-b3d8-75df90ccf370",
        "item": {
          "name": "sesame seeds",
          "quantity": 1,
          "unit": "tbsp"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764605/graph/fooddb/c2663aa22c2ee0af0799bbe4c31cb4df.jpg",
        "analysis": {
          "product": {
            "canonical_name": "SESAME SEED"
          },
          "category": {
            "canonical_name": "BAKING"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 11
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "86fffba9-eef4-46c5-8ba6-9abba6b59320",
        "item": {
          "name": "red peppers",
          "comment": "sliced and seeded",
          "quantity": 3
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764628/graph/fooddb/5da118d0507bdd685df53a9917cc334b.jpg",
        "analysis": {
          "product": {
            "canonical_name": "RED CAPSICUM"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef"
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "8e2d12b1-417b-458d-913f-a674a38221df",
        "item": {
          "name": "extra virgin olive oil",
          "quantity": 1,
          "unit": "tbsp"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1554056430/custom_upload/3b736235b2e88c16b95f49e8ba95eecd.jpg",
        "analysis": {
          "product": {
            "canonical_name": "EXTRA VIRGIN OLIVE OIL"
          },
          "category": {
            "canonical_name": "CONDIMENTS"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 1
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "98bc4798-2d33-4d6f-b06b-d926a5ab55df",
        "item": {
          "name": "pepper"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764843/graph/fooddb/50e15d7f550e17e36816598ba5504cca.jpg",
        "analysis": {
          "product": {
            "canonical_name": "PEPPER/SPICE"
          },
          "category": {
            "canonical_name": "HERBS AND SPICES"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 12
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "a4d5428f-636a-4c78-8939-3828e49b4d2c",
        "item": {
          "name": "skinless boneless chicken breasts",
          "comment": "diced",
          "quantity": 325,
          "unit": "g"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764826/graph/fooddb/2437f112efb619ee6b383801e9dabb20.jpg",
        "analysis": {
          "product": {
            "canonical_name": "SKINLESS BONELESS CHICKEN BREAST"
          },
          "category": {
            "canonical_name": "MEATS AND SEAFOOD"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 4
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "da6aa1ad-2887-43c4-99d7-6b0a2a071c59",
        "item": {
          "name": "mozzarella cheese",
          "comment": "diced",
          "quantity": 150,
          "unit": "g"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550765048/graph/fooddb/32cfc14f34a931a2afda2e066627782a.jpg",
        "analysis": {
          "product": {
            "canonical_name": "MOZZARELLA CHEESE"
          },
          "category": {
            "canonical_name": "DAIRY AND EGGS"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 9
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "eb7f7292-58e6-4537-8d8a-7f83d50ed95f",
        "item": {
          "name": "salt"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550765002/graph/fooddb/eb238db694872ac4ebb19f67029d0f81.jpg",
        "analysis": {
          "product": {
            "canonical_name": "SALT"
          },
          "category": {
            "canonical_name": "HERBS AND SPICES"
          }
        },
        "recipe": {
          "recipe_id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
          "position": 12
        },
        "created_time": "1608555736",
        "updated_at": "1608555736",
        "matching_properties": {}
      },
      {
        "id": "1646408c-5465-4d47-97b7-21089383cf6b",
        "item": {
          "name": "tomato ketchup",
          "brand": "Heinz",
          "quantity": 0.33333334,
          "unit": "cup"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1566392215/custom_upload/9ccf6ba924e70aa124362fbc3a33c51b.jpg",
        "analysis": {
          "product": {
            "canonical_name": "KETCHUP"
          },
          "category": {
            "canonical_name": "CONDIMENTS"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 2
        },
        "created_time": "1614161223",
        "updated_at": "1614161223",
        "matching_properties": {}
      },
      {
        "id": "0485c466-774a-4d6f-ae02-c7917d97d67f",
        "item": {
          "name": "onion",
          "comment": "chopped",
          "quantity": 1
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764494/graph/fooddb/d5bd477463b289845a984f7792ed6d70.jpg",
        "analysis": {
          "product": {
            "canonical_name": "ONION"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 1
        },
        "created_time": "1614176470",
        "updated_at": "1614618694",
        "matching_properties": {}
      },
      {
        "id": "27c00661-790a-4061-92dc-1811b7781737",
        "item": {
          "name": "bacon",
          "brand": "Oscar mayer",
          "comment": "cooked, crumbled",
          "quantity": 8,
          "unit": "slices"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764646/graph/fooddb/0919f5d46996479ba5575bcdc19dc0ba.jpg",
        "analysis": {
          "product": {
            "canonical_name": "BACON"
          },
          "category": {
            "canonical_name": "MEATS AND SEAFOOD"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 5
        },
        "created_time": "1614176470",
        "updated_at": "1614176470",
        "matching_properties": {}
      },
      {
        "id": "40cf6957-0375-4bb9-856a-6ee4b8408363",
        "item": {
          "name": "lean ground beef",
          "quantity": 1,
          "unit": "lb"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550765050/graph/fooddb/483c7c49e27f3c26bb32d3e35e20f17e.jpg",
        "analysis": {
          "product": {
            "canonical_name": "LEAN BEEF MINCE"
          },
          "category": {
            "canonical_name": "MEATS AND SEAFOOD"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1"
        },
        "created_time": "1614176470",
        "updated_at": "1614176470",
        "matching_properties": {}
      },
      {
        "id": "6059a7b4-9891-4e83-8a30-3000d9f83355",
        "item": {
          "name": "yellow mustard",
          "brand": "Heinz",
          "quantity": 2,
          "unit": "tbsp"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764547/graph/fooddb/68c38dfa859fd777de8fdb07517d0ca4.jpg",
        "analysis": {
          "product": {
            "canonical_name": "YELLOW MUSTARD"
          },
          "category": {
            "canonical_name": "CONDIMENTS"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 3
        },
        "created_time": "1614176470",
        "updated_at": "1614176470",
        "matching_properties": {}
      },
      {
        "id": "6b8f459d-0498-46f4-9bef-f17a5a6f3ffb",
        "item": {
          "name": "tater tots",
          "brand": "Ore ida",
          "quantity": 4,
          "unit": "cups"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764514/graph/fooddb/e3887668b88e25f0062f66071e5fa298.jpg",
        "analysis": {
          "product": {
            "canonical_name": "TATER TOT"
          },
          "category": {
            "canonical_name": "FROZEN"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 6
        },
        "created_time": "1614176470",
        "updated_at": "1614176470",
        "matching_properties": {}
      },
      {
        "id": "c6870f82-d013-42bc-bd77-82796dceb8ed",
        "item": {
          "name": "shredded sharp cheddar cheese",
          "brand": "Kraft",
          "quantity": 1,
          "unit": "cup"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1565286590/custom_upload/0e781386b5416f29d483b5858dce1794.jpg",
        "analysis": {
          "product": {
            "canonical_name": "SHREDDED SHARP CHEDDAR CHEESE"
          },
          "category": {
            "canonical_name": "DAIRY AND EGGS"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 4
        },
        "created_time": "1614176470",
        "updated_at": "1614176470",
        "matching_properties": {}
      }
    ],
    "recipes": [
      {
        "id": "1011d34d44e31cb9f72b03b30dce7ae584f7a29faef",
        "name": "Calzone with roasted peppers",
        "images": [
          {
            "responsive": {
              "url": "https://image-cdn.whisk.com/image/upload/v1561458678/recipe/4c1ab01b58720e43de7995cb9fde5801.jpg",
              "width": 300,
              "height": 300
            },
            "url": "https://whisk.com/wp-content/uploads/2018/03/whisk-demo-recipe-calzone.jpg"
          }
        ],
        "source": {
          "name": "whisk.com",
          "display_name": "Whisk Recipes",
          "source_recipe_url": "https://whisk.com/demo/calzone-roasted-peppers",
          "license": "LICENCE_FAIRUSE"
        }
      },
      {
        "id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
        "name": "Bacon Cheeseburger Casserole",
        "images": [
          {
            "responsive": {
              "url": "https://image-cdn.whisk.com/image/upload/v1536910467/recipe/94f698dfcafefe3223aa66f1b3b21ae7.jpg",
              "width": 428,
              "height": 640
            },
            "url": "https://assets.kraftfoods.com/recipe_images/opendeploy/126725_MXM_K59919V0_OR1_CR_640x428.jpg"
          }
        ],
        "source": {
          "name": "myfoodandfamily.com",
          "display_name": "My Food and Family",
          "source_recipe_url": "https://www.myfoodandfamily.com/recipe/126725/bacon-cheeseburger-casserole",
          "image": {
            "responsive": {
              "url": "https://image-cdn.whisk.com/image/upload/v1565965713/publishers/logos/myfoodandfamily-logo.png",
              "width": 256,
              "height": 256
            },
            "url": "https://image-cdn.whisk.com/image/upload/v1565965713/publishers/logos/myfoodandfamily-logo.png"
          },
          "license": "LICENCE_FAIRUSE"
        }
      }
    ]
  },
  "target_list_content": {
    "items": [
      {
        "id": "0c76dbb5-c626-4a49-8f5e-87829fea0cbe",
        "item": {
          "name": "bacon",
          "brand": "Oscar mayer",
          "comment": "cooked, crumbled",
          "quantity": 8,
          "unit": "slices"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764646/graph/fooddb/0919f5d46996479ba5575bcdc19dc0ba.jpg",
        "analysis": {
          "product": {
            "canonical_name": "BACON"
          },
          "category": {
            "canonical_name": "MEATS AND SEAFOOD"
          },
          "brand": {
            "canonical_name": "OSCAR MAYER"
          }
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {
          "gtin": "00000034411207"
        }
      },
      {
        "id": "23c0bff5-c910-4b06-97d9-4137f8c6a657",
        "item": {
          "name": "semi-skimmed milk",
          "quantity": 750,
          "unit": "ml"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764818/graph/fooddb/48b648475f551475af2148db6c709031.jpg",
        "analysis": {
          "product": {
            "canonical_name": "SEMI SKIMMED MILK"
          },
          "category": {
            "canonical_name": "DAIRY AND EGGS"
          }
        },
        "recipe": {
          "recipe_id": "10745889d4a1c0f4b8dbfab66bffa433524",
          "position": 5
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "26d30eb1-64a8-481e-99ad-d2914cd56c1d",
        "item": {
          "name": "onion",
          "comment": "chopped",
          "quantity": 2
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764494/graph/fooddb/d5bd477463b289845a984f7792ed6d70.jpg",
        "analysis": {
          "product": {
            "canonical_name": "ONION"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "recipe": {
          "recipe_id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
          "position": 1
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "611b542e-4d9f-4a1a-afab-be960c88a3c2",
        "item": {
          "name": "vanilla ice cream",
          "quantity": 2,
          "unit": "scoops"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1552312265/custom_upload/a4b1ba7ea9533d0079424413ee9a92e8.jpg",
        "analysis": {
          "product": {
            "canonical_name": "VANILLA ICE CREAM"
          },
          "category": {
            "canonical_name": "FROZEN"
          }
        },
        "recipe": {
          "recipe_id": "10745889d4a1c0f4b8dbfab66bffa433524",
          "position": 1
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "729d13af-47ec-4675-ac9c-0a47b99e1c42",
        "item": {
          "name": "dessicated coconut",
          "quantity": 3,
          "unit": "tbs"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764639/graph/fooddb/f1fe2fc9e0919c4d60a8aaa808296684.jpg",
        "analysis": {
          "product": {
            "canonical_name": "DESICCATED COCONUT"
          },
          "category": {
            "canonical_name": "BAKING"
          }
        },
        "recipe": {
          "recipe_id": "10745889d4a1c0f4b8dbfab66bffa433524",
          "position": 4
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "83c64f92-336b-40b6-9434-10f3bd9ce7f1",
        "item": {
          "name": "bananas",
          "quantity": 400,
          "unit": "g"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764678/graph/fooddb/0cc366548b4413cebaaeec7ec862b530.jpg",
        "analysis": {
          "product": {
            "canonical_name": "BANANA"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "recipe": {
          "recipe_id": "10745889d4a1c0f4b8dbfab66bffa433524"
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "9a32a754-4f6b-4c4a-947e-7a140c89b438",
        "item": {
          "name": "garlic cloves",
          "quantity": 2
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764463/graph/fooddb/fb90ea8fbd3e81005fc22ada2c8ddd1f.jpg",
        "analysis": {
          "product": {
            "canonical_name": "GARLIC CLOVE"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {
          "gtin": "00000075259567",
          "custom_product_id": "6037bd956f0187c6c0f56241"
        }
      },
      {
        "id": "faa50af4-c8dd-4ee9-8250-3eb546e940d5",
        "item": {
          "name": "vanilla essence",
          "quantity": 0.5,
          "unit": "tsp"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764596/graph/fooddb/e17ca99279ef46921f34ac8b0884134f.jpg",
        "analysis": {
          "product": {
            "canonical_name": "VANILLA ESSENCE"
          },
          "category": {
            "canonical_name": "BAKING"
          }
        },
        "recipe": {
          "recipe_id": "10745889d4a1c0f4b8dbfab66bffa433524",
          "position": 2
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "fb496a90-f075-468b-a613-bb685db5263c",
        "item": {
          "name": "maple syrup",
          "comment": "or golden syrup or honey",
          "quantity": 1,
          "unit": "tbs"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764501/graph/fooddb/4b54ff13e2e0d22f60715e45d00ac95f.jpg",
        "analysis": {
          "product": {
            "canonical_name": "MAPLE SYRUP"
          },
          "category": {
            "canonical_name": "BREAKFAST FOODS"
          }
        },
        "recipe": {
          "recipe_id": "10745889d4a1c0f4b8dbfab66bffa433524",
          "position": 3
        },
        "created_time": "1614333362",
        "updated_at": "1614333362",
        "matching_properties": {}
      },
      {
        "id": "ec162612-e137-4b7a-823e-e9dc6651b261",
        "item": {
          "name": "onion",
          "comment": "medium, diced",
          "quantity": 1
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764494/graph/fooddb/d5bd477463b289845a984f7792ed6d70.jpg",
        "analysis": {
          "product": {
            "canonical_name": "ONION"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "created_time": "1614618694",
        "updated_at": "1614618694",
        "matching_properties": {}
      },
      {
        "id": "fe9be106-3c5a-4cbd-b51a-37a7ef929416",
        "item": {
          "name": "fresh basil",
          "comment": "chopped",
          "unit": "handful"
        },
        "image_url": "https://image-cdn.whisk.com/image/upload/v1550764699/graph/fooddb/fb3922212f4471d2dc6c0d116318c165.jpg",
        "analysis": {
          "product": {
            "canonical_name": "BASIL"
          },
          "category": {
            "canonical_name": "FRUITS AND VEGETABLES"
          }
        },
        "created_time": "1614618694",
        "updated_at": "1614618694",
        "matching_properties": {}
      }
    ],
    "recipes": [
      {
        "id": "10745889d4a1c0f4b8dbfab66bffa433524",
        "name": "Banana & coconut smoothie",
        "images": [
          {
            "responsive": {
              "url": "https://image-cdn.whisk.com/image/upload/v1611680399/recipe/957f8b170c57cfdcad1ea4c598c9ddcb.jpg",
              "width": 960,
              "height": 1280
            },
            "url": "https://image-cdn.whisk.com/image/upload/v1611680399/recipe/957f8b170c57cfdcad1ea4c598c9ddcb.jpg"
          }
        ],
        "source": {
          "license": "LICENCE_FAIRUSE"
        }
      },
      {
        "id": "1011f5a116db3c3e56e57bea0a52ffbfca5fc96f6b1",
        "name": "Bacon Cheeseburger Casserole",
        "images": [
          {
            "responsive": {
              "url": "https://image-cdn.whisk.com/image/upload/v1536910467/recipe/94f698dfcafefe3223aa66f1b3b21ae7.jpg",
              "width": 428,
              "height": 640
            },
            "url": "https://assets.kraftfoods.com/recipe_images/opendeploy/126725_MXM_K59919V0_OR1_CR_640x428.jpg"
          }
        ],
        "source": {
          "name": "myfoodandfamily.com",
          "display_name": "My Food and Family",
          "source_recipe_url": "https://www.myfoodandfamily.com/recipe/126725/bacon-cheeseburger-casserole",
          "image": {
            "responsive": {
              "url": "https://image-cdn.whisk.com/image/upload/v1565965713/publishers/logos/myfoodandfamily-logo.png",
              "width": 256,
              "height": 256
            },
            "url": "https://image-cdn.whisk.com/image/upload/v1565965713/publishers/logos/myfoodandfamily-logo.png"
          },
          "license": "LICENCE_FAIRUSE"
        }
      }
    ]
  }
}
```

{% hint style="info" %}
A successful update response includes the updated source and target shopping list definitions. To understand the data structure of a shopping list, see [Shopping List Object](/api/shopping-lists.md#shopping-list-object).
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/api/shopping-lists/move-items-between-shopping-lists.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
